<?php

namespace App\Nova\Repeater;

use Laravel\Nova\Fields\Repeater\Repeatable;
use Laravel\Nova\Http\Requests\NovaRequest;
use Nurmuhammet\InventoryHistoryItems\InventoryHistoryItems;

class InventoryHistoryItemRepeater extends Repeatable
{
    /**
     * Get the fields displayed by the repeatable.
     */
    public function fields(NovaRequest $request): array
    {
        return [
            InventoryHistoryItems::make(__('Products'), 'quantity')
                ->fullWidth()
                ->options([])
                ->fillUsing(function ($request, $model, $attribute, $requestAttribute) {}),
        ];
    }
}
